## OsinfoDeviceLinkFilter OsinfoDeviceLinkFilter — an operating system filter |

## Functions

OsinfoDeviceLinkFilter * | osinfo_devicelinkfilter_new ()
OsinfoFilter * | osinfo_devicelinkfilter_get_target_filter ()

## Properties

OsinfoFilter * | target-filter | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── OsinfoFilter
            ╰── OsinfoDeviceLinkFilter

## Description

OsinfoDeviceLinkFilter is a specialization of OsinfoFilter that can also set a constraint against the device link target. It can only be used to filter entities that are OsinfoDeviceLink objects.

## Functions

### osinfo_devicelinkfilter_new ()

    OsinfoDeviceLinkFilter *
    osinfo_devicelinkfilter_new (OsinfoFilter *filter);

Construct a new filter that matches all operating systems

#### Parameters

filter | the target device filter |

#### Returns

a new filter.

[transfer full]

### osinfo_devicelinkfilter_get_target_filter ()

    OsinfoFilter *
    osinfo_devicelinkfilter_get_target_filter
                                   (OsinfoDeviceLinkFilter *filter);

Retrieve the filter used to match against the target of the device link

#### Parameters

filter | the filter object |

#### Returns

the target filter object.

[transfer none]

## Types and Values

## Property Details

### The `“target-filter”` property

      “target-filter”            OsinfoFilter *

The operating system to be deployed

Flags: Read / Write / Construct Only

## See Also

OsinfoFilter, OsinfoDeviceLink